Skip to content
PaloNexus
Request access Request

Approve Delegation

POST
/v1/delegations/{did_id}/approve
curl --request POST \
--url https://example.com/v1/delegations/example/approve \
--header 'Content-Type: application/json' \
--data '{ "approver": "example" }'
did_id
required
Did Id
string
Media type application/json
ApproveRequest
object
approver
required
Approver
string
Example generated
{
"approver": "example"
}

Successful Response

Media type application/json
ApproveResponse
object
id
required
Id
string
status
required
Status
string
vc
required
Vc
string
vcJti
required
Vcjti
string
notAfter
required
Notafter
integer
Example generated
{
"id": "example",
"status": "example",
"vc": "example",
"vcJti": "example",
"notAfter": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}